Subject: [bug#66723] [PATCH 0/3] gnu: zig-0.10: Inherit from zig-0.9.

From: Hilton Chain <[email-masked]>
Date: Thu, 23 Nov 2023 23:23:05 +0800

Hi,

On Sun, 19 Nov 2023 19:35:13 +0800, Nguyễn Gia Phong wrote:
>
> Should we keep Zig 0.9?  All currently packaged Zig programs requires it
> anymore AFAICT, and the language is immature enough I'd argue we should only
> keep older versions when necessary.
>
> Your patchset adding LLVM 16 has been applied BTW, I can't wait for Zig 0.11!

I didn't realise that Zig 0.11 includes a binary file when sending the cover
letter.  So I haven't bootstrapped it yet, sorry that I didn't mention this
earlier...

Though Zig 0.11 is not bootstrapped, here's a patch to use it at the moment:
https://paste.sr.ht/~hako/c6fb3a872c1e91a09500bf1288e128215ca80d12

I have no experience in both bootstrapping and Zig, so I don't know exactly what
to do further.

(Cc-ed Ekaitz since they are more familiar with the topic)

For Zig I think the first step is to create a path from the last commit that has
a stage1:
    4e2a960b523070c7f8fddf0ea9b6e2a94e31dafe (std.fs: fix openDirAbsolute)
to the addition of the binary file:
    20d86d9c63476b6312b87dc5b0e4aa4822eb7717 (add zig1.wasm.zst)

But for now I'm not sure how.

On Wed, 22 Nov 2023 20:12:43 +0800, Ludovic Courtès wrote:
>
> Hi Hilton,
>
> Hilton Chain <[email-masked]> skribis:
>
> > This series applies gexp to package arguments of [email-masked] and [email-masked], and
> > makes the latter inherit from the former.
> >
> > I have already packaged [email-masked], which depends on LLVM 16
> > (https://issues.guix.gnu.org/66701), will send the patch soon.
> >
> > Hilton Chain (3):
> >   gnu: zig-0.10: Use gexp.
> >   gnu: zig-0.9: Use gexp.
> >   gnu: zig-0.10: Inherit from zig-0.9.
>
> It’s been a while, and I think this patch series can go in.
>
> As Nguyễn Gia Phong, we should question whether to keep zig 0.9, but that can
> come later.

Thank you!  I'll push the series this weenkend.